﻿@*@model StarterProjectV2.ViewModels.OwnerBookingHistoryReport*@
@model IList<StarterProjectV2.ViewModels.OwnerBookingHistoryReport>
@{
    ViewBag.Title = "ReportExcelView";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@using (Html.BeginForm("ExportToExcel", "OwnersInfo", FormMethod.Post))
{
    <br />
    <br />
    <h2>
        Export Data To Excel
    </h2>
    <table style="background-color: white; width: 100%;">
        <tr>
            <th style="border: 1px solid black; text-align: left; width: 20%; padding-left: 20px;">
                SlotId
            </th>
            <th style="border: 2px solid black; text-align: center; width: 20%">
                BookingToken
            </th>
            <th style="border: 2px solid black; text-align: center; width: 20%">
                GuestMobile
            </th>
            <th style="border: 2px solid black; text-align: center; width: 20%">
                Email
            </th>
            <th style="border: 2px solid black; text-align: center; width: 20%">
                YearlyAllotment
            </th>
        </tr>
        @foreach (var itm in Model)
        {

            <tr>
                <td style="padding-left: 20px;">
                    @Html.DisplayFor(m => itm.SlotId)
                </td>
                <td style="padding-left: 20px;">
                    @Html.DisplayFor(m => itm.BookingToken)
                </td>
                <td style="padding-left: 20px;">
                    @Html.DisplayFor(m => itm.GuestMobile)
                </td>
                <td style="padding-left: 50px;">
                    @Html.DisplayFor(m => itm.Email)
                </td>
                <td style="padding-left: 50px;">
                    @Html.DisplayFor(m => itm.YearlyAllotment)
                </td>
            </tr>

        }

        <tr>
            <td colspan="4">
                <br />
                <br />
                <input type="submit" value="Export to Excel" class="button" />
            </td>
        </tr>
    </table>
}

